
NAME

  bmpp - Bitmap to PS/PDF converter

SYNOPSIS

  bmpp [-l<driver>[.<mode>][,<key>[=<value>]...]] [<options>] <file(s)>

DESCRIPTION

The program converts bitmap images from PNG, JPEG, or TIFF to PS/EPS and PDF.
Different output modes are available:
- object
  to produce an object which is embedded into a text or drawing by a text
  processing or drawing software.
- image
  to produce an image for stand-alone viewing.
- document
  to fit the output to a given paper size.

OPTIONS

-h
--help
	shows this help text.

-v
--version
	shows the version number.

-L
--license-terms
	shows the license terms.

-t <type>
	specifies the image type, "png", "jpeg", or "tiff". The image type
	must be specified when processing standard input or if the input file
	name suffix does not indicate the type.

-m
	works like "make" and runs only the conversions necessary when
	processing a directory. Conversion is skipped if the output file
	for an input file already exists and is up to date.

-s
	writes output to standard output instead of an output file.

-o <key>[=<value>]
	specifies detailed conversion options.

NAME=VALUE PAIRS

The key=value pairs allow to set detailed conversion options. For boolean
settings the value can be omitted, the presence of the name sets the option
to active.
The following keys (and values) can be used:

level=<pslevel>
	specifies the PS level, "2" or "3".  Default: 3.

color[=<boolean>]
	enables/disables color output for PS output. For PDF output color is
	always enabled. This setting is ignored when passing DCT data from
	JPEG files to output directly.
	Default: On.

dsc[=<boolean>]
	enables/disables DSC comments when producing PS/EPS output.
	Default: Off, except for ps.document.

draft[=<boolean>]
	enables/disables draft mode. Default: Off.

predictor=<predictor>
	chooses a predictor for flate compressions, "tiff", "sub", "up",
	"average", or "paeth". Default: none.

duplex[=<boolean>]
	enables/disables duplex mode when producing documents. Default: Off.

tumble[=<boolean>]
	enables/disables tumble in addition to duplex mode. Default: Off.

dct[=<boolean>]
	enables/disables direct pass-through of DCT encoded data found in JPEG
	files. Default: On.

bg=<int>:<int>:<int>[:<boolean>]
	specifies a default background RGB color to be used if the input file
	does not contain a background color chunk. The optional boolean value
	at the end can be used to enforce this background over the background
	chunk. RGB values are in the range 0...255.
	Default: White, off.

interpolation[=<boolean>]
	enables/disables image interpolation. Default: On.

jpeg-interpolation[=<boolean>]
	enables/disables image interpolation if DCT data is passed through
	directly. Default: Off.

resolution=<resolution>
	chooses a resolution, either "1:1" (use a 1 point x 1 point square for
	each source pixel), "chunk" (use resolution data from image) or an
	integer value for dpi.
	Default: 1:1 for objects, chunk for images,
	fit to paper size for documents.

paper=<paper>
	specify a paper size for documents. The paper size must be configured
	in a dk3paper.conf file. Only one from "resolution" or "paper" can be
	used.

make[=<boolean>]
	enables/disables make mode when processing directories.
	Default: Off.

bpc[=<boolean>]
	attempt to reduce the number of bits per component. Default: On.

RETURN VALUE

The program returns exit status code 0 on success, all other status
codes indicate an error.

EXAMPLES

bmpp -lps.document,level=2,paper=A4,duplex,bpc myfax.tif
	converts a fax TIFF file "myfax.tif" to "myfax.ps" for a PS 2 printer.

bmpp -l pdf.document,paper=A4,duplex fax.tif
	creates a PDF file fax.pdf.

bmpp -l ps.object screenshot.png
	creates a PS object file screenshot.ps for use with latex/dvips.

bmpp -l pdf.object screenshot.png
	creates a PDF object file screenshot.pdf for use with pdflatex.

bmpp -l ps.image file.png
	creates a PS image file.ps.

bmpp -l pdf.image file.png
	creates a PDF image file.pdf.

FILES

dk3paper.conf
	If paper=... the named paper size must be configured in a
	dk3paper.conf file.

RESTRICTIONS

The program uses the TIFFReadRGBAImage() function from the libtiff library to
read TIFF images. The input file must meet the following conditions:
- The file must be compliant to the "TIFF baseline v6.0 standard".
- The number of bits of component must be 8 or less.
- The frames must not be too large, the system must be able to allocate the
  4*w*h bytes needed for image date in one piece.

TIFF refers to a group of different compression and encoding mechanisms.
A TIFF file is a sequence of data chunks, each data chunk contains a tag
(chunk type identifier). A lot of tags is defined in standards, i.e. the
"TIFF baseline v6.0 standard". Some software vendors add vendor-specific
or non-standard tags when writing TIFF files.
So when processing TIFF files in bmpp, you should not be surprised to see
warnings or error messages about unknown TIFF tags.
Neither bmpp nor the tifflib library are to blame for this, it's the
responsibility of the people adding the non-standard tags.
Sometimes bmpp can read the image despite of the warnings/errors.

If you create bitmaps you want to process with bmpp, you should create PNG
images instead of TIFF images if you have the choice.

AUTHOR

Dirk Krause

HISTORY

The bmpp program replaces the bmeps program found in previous versions of
dktools.

COPYRIGHT AND LICENSE

Run
  bmpp --license-terms
to see the license conditions.

SEE ALSO

http://dktools.sourceforge.net

